Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class DestinationInfo

    java.lang.Object
      weblogic.jms.extensions.DestinationInfo

    public class DestinationInfo

extends Object

This class represents information about a JMS destination. It is used by the JMS message management APIs to provide destination information to management clients in CompositeData format.

See Also:
  `CompositeData`, `JMSDestinationRuntimeMBean`

Constructor Summary
`DestinationInfo(CompositeData cd)` Creates a DestinationInfo instance from its CompositeData representation.
`DestinationInfo(WLDestination destination)` Creates a DestinationInfo instance from the specified WebLogic destination object.

Method Summary
`String` | `getApplicationName()` Returns the application name for the destination.
`protected Map` | `getCompositeDataMap()`
`protected CompositeType` | `getCompositeType()`
`WLDestination` | `getDestination()` Returns the WebLogic destination object.
`String` | `getModuleName()` Returns the module name to which the destination is scoped.
`String` | `getName()` Returns the destination name.
`String` | `getServerName()` Returns the server name on which the destination is hosted.
`boolean` | `isQueue()` Indicates whether this destination is a queue.
`boolean` | `isTopic()` Indicates whether the destination is a topic.
`protected void` | `readCompositeData(CompositeData cd)`
`void` | `setApplicationName(String applicationName)` Sets the application name
`void` | `setDestination(WLDestination destination)` Sets the WebLogic destination
`void` | `setModuleName(String moduleName)` Sets the module name.
`void` | `setName(String name)` Sets the destination name.
`void` | `setQueue(boolean queue)` Sets the queue attribute.
`void` | `setServerName(String serverName)` Sets the server name attribute.
`void` | `setTopic(boolean topic)` Sets the topic attribute.
`CompositeData` | `toCompositeData()` Converts the instance to a CompositeData representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestinationInfo

    public DestinationInfo(CompositeData cd)
                    throws OpenDataException

  Creates a DestinationInfo instance from its CompositeData representation.

  Parameters:
    `cd` - An open data representation of a DestinationInfo object.
  Throws:
    `IOException` - Thrown when a
    `ClassNotFoundException`
    `OpenDataException`

### DestinationInfo

    public DestinationInfo(WLDestination destination)

  Creates a DestinationInfo instance from the specified WebLogic destination object.

  Parameters:
    `destination` - A WebLogic destination.

Method Detail

### toCompositeData

    public CompositeData toCompositeData()
                                  throws OpenDataException

  Converts the instance to a CompositeData representation.

  Returns:
    A CompositeData representation of the object.
  Throws:
    `OpenDataException` - Thrown when an error occurs while constructing the CompositeData representation.

### getName

    public String getName()

  Returns the destination name.

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Sets the destination name.

  Parameters:
    `name` - The name to set.

### getApplicationName

    public String getApplicationName()

  Returns the application name for the destination.

  Returns:
    Returns the applicationName.

### setApplicationName

    public void setApplicationName(String applicationName)

  Sets the application name

  Parameters:
    `applicationName` - The applicationName to set.

### getDestination

    public WLDestination getDestination()

  Returns the WebLogic destination object.

  Returns:
    Returns the destination.

### setDestination

    public void setDestination(WLDestination destination)

  Sets the WebLogic destination

  Parameters:
    `destination` - The destination to set.

### getModuleName

    public String getModuleName()

  Returns the module name to which the destination is scoped.

  Returns:
    Returns the moduleName.

### setModuleName

    public void setModuleName(String moduleName)

  Sets the module name.

  Parameters:
    `moduleName` - The moduleName to set.

### isQueue

    public boolean isQueue()

  Indicates whether this destination is a queue.

  Returns:
    Returns the queue boolean.

### setQueue

    public void setQueue(boolean queue)

  Sets the queue attribute.

  Parameters:
    `queue` - The queue attribute value to set.

### getServerName

    public String getServerName()

  Returns the server name on which the destination is hosted.

  Returns:
    Returns the serverName.

### setServerName

    public void setServerName(String serverName)

  Sets the server name attribute.

  Parameters:
    `serverName` - The serverName to set.

### isTopic

    public boolean isTopic()

  Indicates whether the destination is a topic.

  Returns:
    Returns the topic.

### setTopic

    public void setTopic(boolean topic)

  Sets the topic attribute.

  Parameters:
    `topic` - The topic attribute value to set.

### readCompositeData

    protected void readCompositeData(CompositeData cd)
                              throws OpenDataException

  Throws:
    `OpenDataException`

### getCompositeDataMap

    protected Map getCompositeDataMap()
                               throws OpenDataException

  Throws:
    `OpenDataException`

### getCompositeType

    protected CompositeType getCompositeType()
                                      throws OpenDataException

  Throws:
    `OpenDataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD